Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007970 [DCSS] Upload: Maps and Vaults feature have not tried 2014-01-10 16:55 2014-03-24 03:44
Reporter wheals View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007970: A few vaults.
Description I'm not exactly experienced with vault-making, so these might have lots of problems. I figured I may as well put them up here.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Some-vaults.patch [^] (8,904 bytes) 2014-01-10 16:55 [Show Content]
? file icon 0001-Some-vaults-fixed1.patch [^] (8,923 bytes) 2014-01-10 21:43 [Show Content]
? file icon 0001-Some-vaults-fixed2.patch [^] (9,475 bytes) 2014-01-12 01:46 [Show Content]

- Relationships

-  Notes
(0024962)
neil (administrator)
2014-01-10 17:08

In wheals_arrival_demonology, you also need to give 1234 no_rtele_into, or upwards hatches from D:2 could trap you: see 0007927 for an example.
(0024966)
wheals (administrator)
2014-01-10 21:43

OK, fixed.
(0024969)
KiloByte (manager)
2014-01-11 01:57

I don't like wheals_arrival_linesprint -- annoying for players who don't yet know about autoexplore, won't be noticed by those who do.

wheals_shoals_ruined_temple contains KFEAT stanzas that get overwritten by each other.

I'm not sure what the theme of wheals_unrand_guarded_autumn_katana is supposed to be: a spriggan defender, deep elf blademaster and two orc warlords appear to be an unlikely groups -- I'd expect them to dislike each other.

The chef in wheals_forest_end_factory could use a description.
(0024972)
KennySheep (reporter)
2014-01-11 23:10

Considering the elves build their halls inside of an orcish mine I'd be very surprised if their races hated each other. Although I've always been fond of the "multiple races and ideologies living together in perfect harmony before some asshole came and killed everyone" view on the dungeon's political climate.
(0024973)
wheals (administrator)
2014-01-12 01:24
edited on: 2014-01-12 01:48

arrival_linesprint is only 10 keypresses if you even know the shift-direction command. There are already lots of arrival vaults that you'd just go right through with the first press of "o": if it's really important, it could be shortened from ||||| to |||.

I changed up the shoals_ruined_temple a bit, it didn't work so well as is anyway. I also made a few changes to the swamp vaults, and added the desc for the spriggan chef.

As for unrand_guarded_autumn_katana, i was kind of thinking of a samurai-type figure who had the respect of all these monsters (having the similarity of being melee-only well-equipped late-game enemies).

(0025548)
sgrunt (administrator)
2014-03-10 21:29

Most of these are in, with various adjustments:
- linesprint - shortened to ||| (even this may be too much; let's see how players react); no_monster_gen (suppose you get a halberd gnoll or other tough enemy on the only exit?).
- shading - rotated.
- autumn_katana - changed up the enemy set a bit.

Not present: the Forest end (for obvious reasons), _swamp_gas (I don't like the idea of spores in swamp - too much aggravation in one place); _rous (non-obvious monster enchantments are a bad idea).

- Issue History
Date Modified Username Field Change
2014-01-10 16:55 wheals New Issue
2014-01-10 16:55 wheals File Added: 0001-Some-vaults.patch
2014-01-10 17:08 neil Note Added: 0024962
2014-01-10 21:43 wheals File Added: 0001-Some-vaults-fixed1.patch
2014-01-10 21:43 wheals Note Added: 0024966
2014-01-11 01:57 KiloByte Note Added: 0024969
2014-01-11 23:10 KennySheep Note Added: 0024972
2014-01-12 01:24 wheals Note Added: 0024973
2014-01-12 01:27 wheals Note Edited: 0024973
2014-01-12 01:46 wheals File Added: 0001-Some-vaults-fixed2.patch
2014-01-12 01:48 wheals Note Edited: 0024973
2014-03-10 21:29 sgrunt Note Added: 0025548
2014-03-10 21:29 sgrunt Assigned To => sgrunt
2014-03-10 21:29 sgrunt Status new => resolved
2014-03-10 21:29 sgrunt Resolution open => done
2014-03-10 21:29 sgrunt Fixed in Branch => 0.14 development branch
2014-03-24 03:44 wheals Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker